<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_margin="5dp"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <com.google.android.material.imageview.ShapeableImageView
        app:layout_constraintTop_toTopOf="@id/title"
        app:shapeAppearanceOverlay="@style/roundedImageView"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintBottom_toBottomOf="@id/date"
        android:id="@+id/circle_preview"
        android:scaleType="fitCenter"
        android:adjustViewBounds="true"
        android:layout_width="wrap_content"
        android:layout_height="0dp"/>

    <TextView
        android:id="@+id/title"
        android:layout_width="@dimen/zero"
        android:layout_height="wrap_content"
        android:textSize="24sp"
        android:maxLines="2"
        android:gravity="center_vertical|right"
        android:includeFontPadding="false"
        android:ellipsize="middle"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toRightOf="@id/circle_preview"
        app:layout_constraintRight_toRightOf="parent"/>

    <TextView
        android:id="@+id/desc"
        android:layout_width="@dimen/zero"
        android:layout_height="wrap_content"
        android:textSize="16sp"
        android:maxLines="2"
        android:includeFontPadding="false"
        android:gravity="center_vertical|right"
        android:ellipsize="middle"
        app:layout_constraintTop_toBottomOf="@id/title"
        app:layout_constraintBottom_toTopOf="@id/date"
        app:layout_constraintLeft_toRightOf="@id/circle_preview"
        app:layout_constraintRight_toRightOf="parent"/>

    <TextView
        android:id="@+id/date"
        android:layout_width="@dimen/zero"
        android:layout_height="wrap_content"
        android:textSize="16sp"
        android:lines="1"
        android:gravity="center_vertical|right"
        android:includeFontPadding="false"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@id/circle_preview"
        app:layout_constraintRight_toRightOf="parent"/>

</androidx.constraintlayout.widget.ConstraintLayout>